///////////////////////////////
//  okno gwne komendy PKS  //
///////////////////////////////
profil : dialog {
  label = "Describing longitudinal profiles";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_POZIOM";
      label = "Enter the value of the level cf. [m]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_odl0";
      label = "Distance for a point \"0\" [m]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_srednica";
      label = "Pipeline diameter [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapoziom";
      label = "Horizontal scale <1:xxx>: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapion";
      label = "Vertical scale <1:yyy>: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_nrwezla";
      label = "First node number: ";
    }
    spacer;
  }
  
  
  
  
  : boxed_column {
    label = "Settings:";
    : popup_list {
	  edit_width = 20;
      label = "Describing collisions:";
	  key = "DCL_opis_kolizji";
    }
    : popup_list {
	  edit_width = 20;
      label = "Table metric:";
	  key = "DCL_METRYKA";
    }
    : popup_list {
	  edit_width = 20;
      label = "How to draw a network:";
	  key = "DCL_spodos";
    }
	: popup_list {
	  edit_width = 20;
      label = "Counting the depth:";
	  key = "DCL_zaglebienie";
    }
    : popup_list {
	  edit_width = 20;
      label = "Pipeline material:";
	  key = "DCL_ruramaterial";
    }
    : popup_list {
	  edit_width = 20;
      label = "Node symbol:";
	  key = "DCL_wezel";
    }
    spacer;
  }
  ok_cancel;
}



////////////////////////////////
//  okno gwne komendy PKS2  //
////////////////////////////////
profil2 : dialog {
  label = "Describing longitudinal profiles";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_POZIOM";
      label = "Enter the value of the level cf. [m]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_odl0";
      label = "Distance for a point \"0\" [m]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_srednica";
      label = "Pipeline diameter [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapoziom";
      label = "Horizontal scale <1:xxx>: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_skalapion";
      label = "Vertical scale <1:yyy>: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_nrwezla";
      label = "First node number: ";
    }
    spacer;
  }
  
  
  
  
  : boxed_column {
    label = "Settings:";
    : popup_list {
	  edit_width = 20;
      label = "Describing collisions:";
	  key = "DCL_opis_kolizji";
    }
    : popup_list {
	  edit_width = 20;
      label = "Table metric:";
	  key = "DCL_METRYKA";
    }
    : popup_list {
	  edit_width = 20;
      label = "How to draw a network:";
	  key = "DCL_spodos";
    }
	: popup_list {
	  edit_width = 20;
      label = "Counting the depth:";
	  key = "DCL_zaglebienie";
    }
    : popup_list {
	  edit_width = 20;
      label = "Pipeline material:";
	  key = "DCL_ruramaterial";
    }
    : popup_list {
	  edit_width = 20;
      label = "Node symbol:";
	  key = "DCL_wezel";
    }
    spacer;
  }
	:boxed_radio_column {
	  label = "Drawing units";
	  key = "JEDNOSTKA"; 
	  
	  :radio_button {
		key = "PZTcm";
		label = "Land development in \"cm\". ";
	  }
	  :radio_button {
		key = "PZTm";
		label = "Land development in \"m\". ";
	  }
	}
  
  ok_cancel;
}

///////////////////////////////////
//  okno gwne komendy STUDNIA  //
///////////////////////////////////
studnia : dialog {
  label = "Well in cross section";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_srednica_studni";
      label = "Diameter of the well [cm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_osadnik";
      label = "Settler depth [cm]: ";
    }
    spacer;
  }
  : image {
  height = 17;
  width = 20;
  key = "sldStud";
  color = 0;
  }
    ok_cancel;
}



////////////////////////////////////
//  okno gwne komendy STUDNIA2  //
////////////////////////////////////
studnia2 : dialog {
  label = "Well in cross section";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_srednica_studni";
      label = "Diameter of the well [cm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_osadnik";
      label = "Settler depth [cm]: ";
    }
    spacer;
  }
  
    :boxed_radio_column {
	  label = "Drawing units";
	  key = "JEDNOSTKA"; 
	  
	  :radio_button {
		key = "PZTcm";
		label = "Profile drawn in \"cm\". ";
	  }
	  :radio_button {
		key = "PZTm";
		label = "Profile drawn in \"m\". ";
	  }
	}
	
  : image {
  height = 17;
  width = 20;
  key = "sldStud";
  color = 0;
  }
	
    ok_cancel;
}
