///////////////////////////////////
//  okno gwne rysowanych rur  //
//////////////////////////////////
przelot : dialog {
  label = "Pipe data";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_dn";
      label = "Pipe diameter [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_GrIzol";
      label = "Insulation thickness [mm]: ";
    }
    spacer;
  }
  
  	:boxed_radio_row {
	  label = "Units";
	  key = "DCL_Jednrur"; 
	  
	  :radio_button {
		key = "mm";
		label = "mm";
	  }
	  :radio_button {
		key = "cm";
		label = "cm";
	  }
	  :radio_button {
		key = "m";
		label = "m";
	  }
	}
  
  ok_cancel;
}


//////////////////////////////////
//  okno gwne komendy kolan  //
//////////////////////////////////
kolana : dialog {
  label = "Knee data";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_dn";
      label = "Knee diameter [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_GrIzol";
      label = "Insulation thickness [mm]: ";
    }
    spacer;
  }

  
:row {
  
	:boxed_radio_row {
	  label = "Bending radius";
	  key = "DCL_Rgiecia"; 
	  
	  :radio_button {
		key = "1.0";
		label = "R=1.0";
	  }
	  :radio_button {
		key = "1.5";
		label = "R=1.5";
	  }
	}
	
	:boxed_radio_row {
	  label = "Units";
	  key = "DCL_Jednrur"; 
	  
	  :radio_button {
		key = "mm";
		label = "mm";
	  }
	  :radio_button {
		key = "cm";
		label = "cm";
	  }
	  :radio_button {
		key = "m";
		label = "m";
	  }
	}

}	
	
  ok_cancel;
}

/////////////////////////////
//  okno gwne  trjnika  //
/////////////////////////////
trojnik : dialog {
  label = "Diameters depart tee";
  : boxed_column {
    label = "Main pipe data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_dn";
      label = "Diameter of the main pipe [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_GrIzol";
      label = "Insulation thickness on main pipe [mm]: ";
    }
    spacer;
  }
  
    : boxed_column {
    label = "Side pipe data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_dnod";
      label = "Side pipe diameter [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_GrIzolod";
      label = "Grubo izolacji na rurze bocznej [mm]: ";
    }
    spacer;
  }

	:boxed_radio_row {
	  label = "Units";
	  key = "DCL_Jednrur"; 
	  
	  :radio_button {
		key = "mm";
		label = "mm";
	  }
	  :radio_button {
		key = "cm";
		label = "cm";
	  }
	  :radio_button {
		key = "m";
		label = "m";
	  }
	}
  
  ok_cancel;
}

/////////////////////////////
//  okno gwne redukcji   //
/////////////////////////////
redukcja : dialog {
  label = "Reduction Data";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_dn";
      label = "Diameter of the beginning of the reduction [mm]: ";
    }
	: edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_dnod";
      label = "Diameter of the end of the reduction [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_GrIzol";
      label = "Insulation thickness [mm]: ";
    }
    spacer;
  }
  
  	:boxed_radio_row {
	  label = "Units";
	  key = "DCL_Jednrur"; 
	  
	  :radio_button {
		key = "mm";
		label = "mm";
	  }
	  :radio_button {
		key = "cm";
		label = "cm";
	  }
	  :radio_button {
		key = "m";
		label = "m";
	  }
	}
  
  ok_cancel;
}

/////////////////////////////////////
//  okno gwne komendy ruratrasa  //
/////////////////////////////////////
ruratrasa : dialog {
  label = "Pipeline data";
  : boxed_column {
    label = "Data:";
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_dn";
      label = "Pipe/elbow diameter [mm]: ";
    }
    : edit_box {
	  edit_limit = 10;
      edit_width = 10;
      key = "DCL_GrIzol";
      label = "Insulation thickness [mm]: ";
    }
    spacer;
  }

  
:row {
	:boxed_radio_row {
	  label = "Bending radius";
	  key = "DCL_Rgiecia"; 
	  
	  :radio_button {
		key = "1.0";
		label = "R=1.0";
	  }
	  :radio_button {
		key = "1.5";
		label = "R=1.5";
	  }
	}
		
	:boxed_radio_row {
	  label = "Units";
	  key = "DCL_Jednrur"; 
	  
	  :radio_button {
		key = "mm";
		label = "mm";
	  }
	  :radio_button {
		key = "cm";
		label = "cm";
	  }
	  :radio_button {
		key = "m";
		label = "m";
	  }
	}

}

  ok_cancel;
}

